Subject: Re: powerpc: Abolish PHYS_FMT macro from arch/powerpc

From: David Gibson <[email-masked]>
Date: Wed, 25 Apr 2007 10:51:36 +1000

On Tue, Apr 24, 2007 at 12:00:52PM -0500, Linas Vepstas wrote:
> On Tue, Apr 24, 2007 at 03:05:18PM +1000, David Gibson wrote:
> > 32-bit powerpc systems define a macro, PHYS_FMT, giving a printf
> 
> Your patch removed the use of the macro, but does not remove the definition
> of the macro.

Yes, that's because the definition is in asm-ppc, and it's still used
in asm-ppc.  My upcoming patches which start to remove arch/powerpc's
final dependencies on asm-ppc won't be moving PHYS_FMT across.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson